function [Sw, Swc, Seg] = Segmentacion(j, Spp, nm, nbits)
%****Segmentación con Hamming Window****
%***Segmento***
Seg = zeros(1,nm); % Vector que contendrá las muestras de cada SEGMENTO
l = (j*nm+1)-nm; % Variable que contiene el valor de la muestra en donde inicia cada nuevo segmento
for i = l:(j*nm)
Seg((i+1)-l) = Spp(i); %Se necesita que el puntero de la posición del vector Seg (i-l+1) siempre inicie en 1
%*Normally-Windowed*
Sw = floor((Seg.*round(nbits.*hamming(nm)'))/nbits); % Enventanado (Hamming) para cada Segmento
%*Complementarily-Windowed*
Swc = floor((Seg.*round(nbits.*(1.08-hamming(nm)')))/nbits); % Enventanado (Hamming) Complemetaria para cada Segmento

%temp = Seg.*hamming(1500)';
end

% figure('Name','Enventanado')
% subplot(3,1,1),plot(Spp),xlim([l j*nm]),title('Segmento de la señal de voz'),xlabel('Numero de muestras'),ylabel('Amplitud'),grid
% subplot(3,1,2),plot(Sw),xlim([0 nm]),title('Segmento con enventanado Normal'),xlabel('Numero de muestras'),ylabel('Amplitud'),grid
% subplot(3,1,3),plot(Swc),xlim([0 nm]),title('Segmento con enventanado complementario'),xlabel('Numero de muestras'),ylabel('Amplitud'),grid
% %subplot(4,1,4),plot(temp),xlim([0 nm]),title('Trama por enventanado'),xlabel('Numero de muestras'),ylabel('Amplitud'),grid
% input('continuar')
% 
% close all
end
